org.eclipse.oomph.targlets.core

## Class ITargletContainerDescriptor.UpdateProblem.MissingIU

- java.lang.Object
- - org.eclipse.oomph.targlets.core.ITargletContainerDescriptor.UpdateProblem
  - - org.eclipse.oomph.targlets.core.ITargletContainerDescriptor.UpdateProblem.MissingIU

- All Implemented Interfaces:
    Serializable, IStatus
  Enclosing class:
    ITargletContainerDescriptor.UpdateProblem

      public static final class ITargletContainerDescriptor.UpdateProblem.MissingIU
      extends ITargletContainerDescriptor.UpdateProblem

  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.oomph.targlets.core.ITargletContainerDescriptor.UpdateProblem

      `ITargletContainerDescriptor.UpdateProblem.MissingIU`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.core.runtime.IStatus

      `CANCEL, ERROR, INFO, OK, WARNING`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `ITargletContainerDescriptor.UpdateProblem.MissingIU()`
    `protected` | `ITargletContainerDescriptor.UpdateProblem.MissingIU(IStatus status, org.eclipse.equinox.internal.p2.metadata.IRequiredCapability requirement)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `String` | `getNamespace()`
    `String` | `getRange()`

    - ### Methods inherited from class org.eclipse.oomph.targlets.core.ITargletContainerDescriptor.UpdateProblem

      `create, create, getChildren, getCode, getException, getMessage, getPlugin, getSeverity, isMultiStatus, isOK, matches, toStatus, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ITargletContainerDescriptor.UpdateProblem.MissingIU

          public ITargletContainerDescriptor.UpdateProblem.MissingIU()

    - #### ITargletContainerDescriptor.UpdateProblem.MissingIU

          protected ITargletContainerDescriptor.UpdateProblem.MissingIU(IStatus status,
                                                             org.eclipse.equinox.internal.p2.metadata.IRequiredCapability requirement)

  - ### Method Detail

    - #### getNamespace

          public String getNamespace()

    - #### getName

          public String getName()

    - #### getRange

          public String getRange()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html